# Flent: The FLExible Network Tester

## Index

Symbols | C | E | I | L | P | R | S | X

## Symbols

- --absolute-time
  - command line option
- --batch-dry-run
  - command line option
- --batch-file
  - command line option
- --batch-name
  - command line option
- --batch-no-shuffle
  - command line option
- --batch-override
  - command line option
- --batch-repetitions
  - command line option
- --batch-resume
  - command line option
- --batch-title
  - command line option
- --batch-verbose
  - command line option
- --bounds-x
  - command line option
- --bounds-y
  - command line option
- --colours
  - command line option
- --combine-save-dir
  - command line option
- --concatenate
  - command line option
- --control-host
  - command line option
- --control-local-bind
  - command line option
- --data-dir
  - command line option
- --debug-error
  - command line option
- --delay
  - command line option
- --ditg-control-port
  - command line option
- --ditg-control-secret
  - command line option
- --extended-metadata
  - command line option
- --fallback-layout
  - command line option
- --fig-note
  - command line option
- --figure-dpi
  - command line option
- --figure-height
  - command line option
- --figure-note
  - command line option
- --figure-width
  - command line option
- --filter-legend
  - command line option
- --filter-regexp
  - command line option
- --filter-series
  - command line option
- --format
  - command line option
- --gui
  - command line option
- --gui-no-defer
  - command line option
- --help
  - command line option
- --horizontal-legend
  - command line option
- --host
  - command line option
- --http-getter-dns-servers
  - command line option
- --http-getter-timeout
  - command line option
- --http-getter-urllist
  - command line option
- --http-getter-workers
  - command line option
- --input
  - command line option
- --invert-latency-y
  - command line option
- --ipv4
  - command line option
- --ipv6
  - command line option
- --irtt-sampling-interval
  - command line option
- --label-x
  - command line option
- --label-y
  - command line option
- --legend-columns
  - command line option
- --legend-placement
  - command line option
- --legend-title
  - command line option
- --length
  - command line option
- --list-plots
  - command line option
- --list-tests
  - command line option
- --local-bind
  - command line option
- --log-file
  - command line option
- --log-scale
  - command line option
- --marking-name
  - command line option
- --netperf-control-port
  - command line option
- --new-gui-instance
  - command line option
- --no-annotation
  - command line option

- --no-hover-highlight
  - command line option
- --no-labels
  - command line option
- --no-legend
  - command line option
- --no-markers
  - command line option
- --no-matplotlibrc
  - command line option
- --no-print-n
  - command line option
- --no-title
  - command line option
- --norm-factor
  - command line option
- --note
  - command line option
- --output
  - command line option
- --override-colour-mode
  - command line option
- --override-group-by
  - command line option
- --override-label
  - command line option
- --override-title
  - command line option
- --plot
  - command line option
- --quiet
  - command line option
- --rcfile
  - command line option
- --remote-host
  - command line option
- --remote-metadata
  - command line option
- --replace-legend
  - command line option
- --reverse-legend
  - command line option
- --scale-data
  - command line option
- --scale-mode
  - command line option
- --send-size
  - command line option
- --skip-missing-series
  - command line option
- --socket-stats
  - command line option
- --socket-timeout
  - command line option
- --split-group
  - command line option
- --step-size
  - command line option
- --subplot-combine
  - command line option
- --swap-up-down
  - command line option
- --test-parameter
  - command line option
- --title-extra
  - command line option
- --verbose
  - command line option
- --version
  - command line option
- --zero-y
  - command line option
- -4
  - command line option
- -6
  - command line option
- -B
  - command line option
- -b
  - command line option
- -D
  - command line option
- -d
  - command line option
- -f
  - command line option
- -H
  - command line option
- -h
  - command line option
- -I
  - command line option
- -i
  - command line option
- -L
  - command line option
- -l
  - command line option
- -n
  - command line option
- -o
  - command line option
- -p
  - command line option
- -q
  - command line option
- -r
  - command line option
- -S
  - command line option
- -s
  - command line option
- -t
  - command line option
- -V
  - command line option
- -v
  - command line option
- -x
  - command line option
- -z
  - command line option

## C

- command line option
  - --absolute-time
  - --batch-dry-run
  - --batch-file
  - --batch-name
  - --batch-no-shuffle
  - --batch-override
  - --batch-repetitions
  - --batch-resume
  - --batch-title
  - --batch-verbose
  - --bounds-x
  - --bounds-y
  - --colours
  - --combine-save-dir
  - --concatenate
  - --control-host
  - --control-local-bind
  - --data-dir
  - --debug-error
  - --delay
  - --ditg-control-port
  - --ditg-control-secret
  - --extended-metadata
  - --fallback-layout
  - --fig-note
  - --figure-dpi
  - --figure-height
  - --figure-note
  - --figure-width
  - --filter-legend
  - --filter-regexp
  - --filter-series
  - --format
  - --gui
  - --gui-no-defer
  - --help
  - --horizontal-legend
  - --host
  - --http-getter-dns-servers
  - --http-getter-timeout
  - --http-getter-urllist
  - --http-getter-workers
  - --input
  - --invert-latency-y
  - --ipv4
  - --ipv6
  - --irtt-sampling-interval
  - --label-x
  - --label-y
  - --legend-columns
  - --legend-placement
  - --legend-title
  - --length
  - --list-plots
  - --list-tests
  - --local-bind
  - --log-file
  - --log-scale
  - --marking-name
  - --netperf-control-port
  - --new-gui-instance
  - --no-annotation
  - --no-hover-highlight
  - --no-labels
  - --no-legend
  - --no-markers
  - --no-matplotlibrc
  - --no-print-n
  - --no-title
  - --norm-factor
  - --note
  - --output
  - --override-colour-mode
  - --override-group-by
  - --override-label
  - --override-title
  - --plot
  - --quiet
  - --rcfile
  - --remote-host
  - --remote-metadata
  - --replace-legend
  - --reverse-legend
  - --scale-data
  - --scale-mode
  - --send-size
  - --skip-missing-series
  - --socket-stats
  - --socket-timeout
  - --split-group
  - --step-size
  - --subplot-combine
  - --swap-up-down
  - --test-parameter
  - --title-extra
  - --verbose
  - --version
  - --zero-y
  - -4
  - -6
  - -b
  - -B
  - -D
  - -d
  - -f
  - -H
  - -h
  - -i
  - -I
  - -l
  - -L
  - -n
  - -o
  - -p
  - -q
  - -r
  - -s
  - -S
  - -t
  - -V
  - -v
  - -x
  - -z
  - Set

## E

- EGRESS_INFO, [1], [2]
- environment variable
  - bidir_streams
  - burst_length
  - burst_ports
  - burst_psize
  - burst_tos
  - control_hosts
  - cpu_stats_hosts
  - download_streams
  - EGRESS_INFO, [1], [2], [3], [4]
  - FLENT_VERSION
  - GATEWAYS
  - HOSTS
  - INGRESS_INFO, [1], [2]
  - IP_ADDRS
  - IP_VERSION
  - KERNEL_NAME
  - KERNEL_RELEASE
  - labels
  - LENGTH, [1]
  - LOCAL_HOST
  - markings
  - metadata
  - MODULE_VERSIONS
  - NAME
  - netstat_hosts
  - NOTE
  - PATH, [1], [2], [3], [4], [5]
  - ping_hosts
  - ping_labels
  - ping_local_binds
  - qdisc_stats_hosts
  - raw_values
  - REMOTE_METADATA, [1]
  - results
  - STEP_SIZE
  - stream_delays
  - SYSCTLS
  - tcp_cong_control
  - TIME
  - TITLE
  - TOTAL_LENGTH
  - udp_bandwidth
  - udp_bandwidths
  - udp_pktsize
  - udp_pktsizes
  - upload_streams
  - version
  - voip_control_host
  - voip_host
  - voip_local_bind
  - voip_marking
  - wifi_stats_hosts
  - x_values, [1]

## I

- INGRESS_INFO, [1], [2]

## L

- LENGTH

## P

- PATH, [1], [2], [3], [4], [5]

## R

- REMOTE_METADATA, [1]

## S

- Set
  - command line option

## X

- x_values